[Stable Update i686] 2018-10-08 - systemd, MESA, rebuilds

update
stable
manjaro32

#1

Hello i686ers!

This is a sizeable update which mainly consists of rebuilds following the introduction of Audit support into systemd.

This will make very little difference to the majority of people, but who doesn’t want more audit?

Also, kernels. I accidentally built 3.18, so that’s there too. :woman_shrugging:


Anyone who would like to help out testing the upstream packages, please read the archlinux32 thread for details about how they automate their testing process and how to get involved:

https://bbs.archlinux32.org/viewtopic.php?id=171

(running this in an archlinux32 VM would be fine, there will hopefully be a way of doing this directly from within manjaro32 in the future)


Available kernels

Series Version PAE
linux316 3.16.58 No
linux318 3.18.123 No
linux44 4.4.159 No
linux49 4.9.131 No
linux414 4.14.74 No
linux419 4.19rc7.1007 Yes

archlinux32

If you find manjaro32 useful please consider donating to, or helping out with, archlinux32. It’s a small team taking on a huge project and any help will no doubt be very much appreciated.

Why aren’t the available packages/package versions the same as x86_64?

archlinux32 packages are based on Arch packages but may need editing to build correctly. Builds of less-popular packages are lower priority.

Manjaro-specific packages may lag behind x86_64 because there aren’t as many packagers. If you notice an important package is lagging please report it; at the moment it’s only me packaging for i686:

I’m only packaging current LTS kernels. Any marked as EOL are dropped. I’ll not be building the mainline kernel.

What about security updates?

I cannot guarantee timely security updates on x32-stable. If this is critical for you I recommend you switch to x32-testing or cherry-pick those packages from x32-testing or x32-unstable as they become available.

Something broke. Isn’t this meant to be stable?

“Stable” means “infrequently changing”, not “everything will work perfectly all the time”. If you want it to mean everything works, you need to help test the things you’re interested in.

What about installer images?

There’s a rapidly ageing image over here:

There’s work being done to fix i686 image building (it broke); a new image should be arrive after this update set.

What about x32-testing and x32-unstable?

These are already available, and I recommend you use x32-testing if you can to make sure testing is done.

x32-unstable should be used by anyone who wants to try and find any issues before they impact other people. If you have multiple/many machines you really should run one of those on x32-unstable.

Full list of changes

Full list of changes is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters



[Stable Update] 2018-10-08 - Kernels, Gnome 3.30, Cinnamon, Deepin, Pamac, SPL/ZFS
[Testing Update i686] 2018-09-25 to 10-07 - systemd, Firefox
#2

Known issues and solutions


#3

Update on 1 Machine and 1 VB without Problems.

DK3


#4

Update went well except for opus-tools dependency. Received message

could not satisfy dependencies:
unable to satisfy dependency ‘libopusenc’ required by opus-tools

Otherwise all working fine


#5

That’s currently only in community-testing so didn’t make it into the repos. I’ve pushed it manually, you should see it “soon”.


#6

Thank you Jonathon. opus-tools update resolved and installed fine with your help.


#7